Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class Currency

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.Currency

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class Currency

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Currency', and utility methods for working with them. vocSet: D17388 (C-0-D17388-cpt)

See Also:
  `CDAR2Package.getCurrency()`

Field Summary
`static int` | `ARS` The 'ARS' literal value.
`static Currency` | `ARS_LITERAL` The 'ARS' literal object.
`static int` | `AUD` The 'AUD' literal value.
`static Currency` | `AUD_LITERAL` The 'AUD' literal object.
`static int` | `BRL` The 'BRL' literal value.
`static Currency` | `BRL_LITERAL` The 'BRL' literal object.
`static int` | `CAD` The 'CAD' literal value.
`static Currency` | `CAD_LITERAL` The 'CAD' literal object.
`static int` | `CHF` The 'CHF' literal value.
`static Currency` | `CHF_LITERAL` The 'CHF' literal object.
`static int` | `CLF` The 'CLF' literal value.
`static Currency` | `CLF_LITERAL` The 'CLF' literal object.
`static int` | `CNY` The 'CNY' literal value.
`static Currency` | `CNY_LITERAL` The 'CNY' literal object.
`static int` | `DEM` The 'DEM' literal value.
`static Currency` | `DEM_LITERAL` The 'DEM' literal object.
`static int` | `ESP` The 'ESP' literal value.
`static Currency` | `ESP_LITERAL` The 'ESP' literal object.
`static int` | `EUR` The 'EUR' literal value.
`static Currency` | `EUR_LITERAL` The 'EUR' literal object.
`static int` | `FIM` The 'FIM' literal value.
`static Currency` | `FIM_LITERAL` The 'FIM' literal object.
`static int` | `FRF` The 'FRF' literal value.
`static Currency` | `FRF_LITERAL` The 'FRF' literal object.
`static int` | `GBP` The 'GBP' literal value.
`static Currency` | `GBP_LITERAL` The 'GBP' literal object.
`static int` | `ILS` The 'ILS' literal value.
`static Currency` | `ILS_LITERAL` The 'ILS' literal object.
`static int` | `INR` The 'INR' literal value.
`static Currency` | `INR_LITERAL` The 'INR' literal object.
`static int` | `JPY` The 'JPY' literal value.
`static Currency` | `JPY_LITERAL` The 'JPY' literal object.
`static int` | `KRW` The 'KRW' literal value.
`static Currency` | `KRW_LITERAL` The 'KRW' literal object.
`static int` | `MXN` The 'MXN' literal value.
`static Currency` | `MXN_LITERAL` The 'MXN' literal object.
`static int` | `NLG` The 'NLG' literal value.
`static Currency` | `NLG_LITERAL` The 'NLG' literal object.
`static int` | `NZD` The 'NZD' literal value.
`static Currency` | `NZD_LITERAL` The 'NZD' literal object.
`static int` | `PHP` The 'PHP' literal value.
`static Currency` | `PHP_LITERAL` The 'PHP' literal object.
`static int` | `RUR` The 'RUR' literal value.
`static Currency` | `RUR_LITERAL` The 'RUR' literal object.
`static int` | `THB` The 'THB' literal value.
`static Currency` | `THB_LITERAL` The 'THB' literal object.
`static int` | `TRL` The 'TRL' literal value.
`static Currency` | `TRL_LITERAL` The 'TRL' literal object.
`static int` | `TWD` The 'TWD' literal value.
`static Currency` | `TWD_LITERAL` The 'TWD' literal object.
`static int` | `USD` The 'USD' literal value.
`static Currency` | `USD_LITERAL` The 'USD' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Currency' enumerators.
`static int` | `ZAR` The 'ZAR' literal value.
`static Currency` | `ZAR_LITERAL` The 'ZAR' literal object.

Method Summary
`static Currency` | `get(int value)` Returns the 'Currency' literal with the specified integer value.
`static Currency` | `get(java.lang.String literal)` Returns the 'Currency' literal with the specified literal value.
`static Currency` | `getByName(java.lang.String name)` Returns the 'Currency' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ARS

    public static final int ARS

  The 'ARS' literal value.

  If the meaning of 'ARS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ARS_LITERAL`, Constant Field Values

### AUD

    public static final int AUD

  The 'AUD' literal value.

  If the meaning of 'AUD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUD_LITERAL`, Constant Field Values

### BRL

    public static final int BRL

  The 'BRL' literal value.

  If the meaning of 'BRL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BRL_LITERAL`, Constant Field Values

### CAD

    public static final int CAD

  The 'CAD' literal value.

  If the meaning of 'CAD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CAD_LITERAL`, Constant Field Values

### CHF

    public static final int CHF

  The 'CHF' literal value.

  If the meaning of 'CHF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CHF_LITERAL`, Constant Field Values

### CLF

    public static final int CLF

  The 'CLF' literal value.

  If the meaning of 'CLF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CLF_LITERAL`, Constant Field Values

### CNY

    public static final int CNY

  The 'CNY' literal value.

  If the meaning of 'CNY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CNY_LITERAL`, Constant Field Values

### DEM

    public static final int DEM

  The 'DEM' literal value.

  If the meaning of 'DEM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DEM_LITERAL`, Constant Field Values

### ESP

    public static final int ESP

  The 'ESP' literal value.

  If the meaning of 'ESP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ESP_LITERAL`, Constant Field Values

### EUR

    public static final int EUR

  The 'EUR' literal value.

  If the meaning of 'EUR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `EUR_LITERAL`, Constant Field Values

### FIM

    public static final int FIM

  The 'FIM' literal value.

  If the meaning of 'FIM' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FIM_LITERAL`, Constant Field Values

### FRF

    public static final int FRF

  The 'FRF' literal value.

  If the meaning of 'FRF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FRF_LITERAL`, Constant Field Values

### GBP

    public static final int GBP

  The 'GBP' literal value.

  If the meaning of 'GBP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `GBP_LITERAL`, Constant Field Values

### ILS

    public static final int ILS

  The 'ILS' literal value.

  If the meaning of 'ILS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ILS_LITERAL`, Constant Field Values

### INR

    public static final int INR

  The 'INR' literal value.

  If the meaning of 'INR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `INR_LITERAL`, Constant Field Values

### JPY

    public static final int JPY

  The 'JPY' literal value.

  If the meaning of 'JPY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `JPY_LITERAL`, Constant Field Values

### KRW

    public static final int KRW

  The 'KRW' literal value.

  If the meaning of 'KRW' literal object isn't clear, there really should be more of a description here...

  See Also:
    `KRW_LITERAL`, Constant Field Values

### MXN

    public static final int MXN

  The 'MXN' literal value.

  If the meaning of 'MXN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MXN_LITERAL`, Constant Field Values

### NLG

    public static final int NLG

  The 'NLG' literal value.

  If the meaning of 'NLG' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NLG_LITERAL`, Constant Field Values

### NZD

    public static final int NZD

  The 'NZD' literal value.

  If the meaning of 'NZD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NZD_LITERAL`, Constant Field Values

### PHP

    public static final int PHP

  The 'PHP' literal value.

  If the meaning of 'PHP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PHP_LITERAL`, Constant Field Values

### RUR

    public static final int RUR

  The 'RUR' literal value.

  If the meaning of 'RUR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RUR_LITERAL`, Constant Field Values

### THB

    public static final int THB

  The 'THB' literal value.

  If the meaning of 'THB' literal object isn't clear, there really should be more of a description here...

  See Also:
    `THB_LITERAL`, Constant Field Values

### TRL

    public static final int TRL

  The 'TRL' literal value.

  If the meaning of 'TRL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TRL_LITERAL`, Constant Field Values

### TWD

    public static final int TWD

  The 'TWD' literal value.

  If the meaning of 'TWD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TWD_LITERAL`, Constant Field Values

### USD

    public static final int USD

  The 'USD' literal value.

  If the meaning of 'USD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `USD_LITERAL`, Constant Field Values

### ZAR

    public static final int ZAR

  The 'ZAR' literal value.

  If the meaning of 'ZAR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ZAR_LITERAL`, Constant Field Values

### ARS_LITERAL

    public static final Currency ARS_LITERAL

  The 'ARS' literal object.

  See Also:
    `ARS`

### AUD_LITERAL

    public static final Currency AUD_LITERAL

  The 'AUD' literal object.

  See Also:
    `AUD`

### BRL_LITERAL

    public static final Currency BRL_LITERAL

  The 'BRL' literal object.

  See Also:
    `BRL`

### CAD_LITERAL

    public static final Currency CAD_LITERAL

  The 'CAD' literal object.

  See Also:
    `CAD`

### CHF_LITERAL

    public static final Currency CHF_LITERAL

  The 'CHF' literal object.

  See Also:
    `CHF`

### CLF_LITERAL

    public static final Currency CLF_LITERAL

  The 'CLF' literal object.

  See Also:
    `CLF`

### CNY_LITERAL

    public static final Currency CNY_LITERAL

  The 'CNY' literal object.

  See Also:
    `CNY`

### DEM_LITERAL

    public static final Currency DEM_LITERAL

  The 'DEM' literal object.

  See Also:
    `DEM`

### ESP_LITERAL

    public static final Currency ESP_LITERAL

  The 'ESP' literal object.

  See Also:
    `ESP`

### EUR_LITERAL

    public static final Currency EUR_LITERAL

  The 'EUR' literal object.

  See Also:
    `EUR`

### FIM_LITERAL

    public static final Currency FIM_LITERAL

  The 'FIM' literal object.

  See Also:
    `FIM`

### FRF_LITERAL

    public static final Currency FRF_LITERAL

  The 'FRF' literal object.

  See Also:
    `FRF`

### GBP_LITERAL

    public static final Currency GBP_LITERAL

  The 'GBP' literal object.

  See Also:
    `GBP`

### ILS_LITERAL

    public static final Currency ILS_LITERAL

  The 'ILS' literal object.

  See Also:
    `ILS`

### INR_LITERAL

    public static final Currency INR_LITERAL

  The 'INR' literal object.

  See Also:
    `INR`

### JPY_LITERAL

    public static final Currency JPY_LITERAL

  The 'JPY' literal object.

  See Also:
    `JPY`

### KRW_LITERAL

    public static final Currency KRW_LITERAL

  The 'KRW' literal object.

  See Also:
    `KRW`

### MXN_LITERAL

    public static final Currency MXN_LITERAL

  The 'MXN' literal object.

  See Also:
    `MXN`

### NLG_LITERAL

    public static final Currency NLG_LITERAL

  The 'NLG' literal object.

  See Also:
    `NLG`

### NZD_LITERAL

    public static final Currency NZD_LITERAL

  The 'NZD' literal object.

  See Also:
    `NZD`

### PHP_LITERAL

    public static final Currency PHP_LITERAL

  The 'PHP' literal object.

  See Also:
    `PHP`

### RUR_LITERAL

    public static final Currency RUR_LITERAL

  The 'RUR' literal object.

  See Also:
    `RUR`

### THB_LITERAL

    public static final Currency THB_LITERAL

  The 'THB' literal object.

  See Also:
    `THB`

### TRL_LITERAL

    public static final Currency TRL_LITERAL

  The 'TRL' literal object.

  See Also:
    `TRL`

### TWD_LITERAL

    public static final Currency TWD_LITERAL

  The 'TWD' literal object.

  See Also:
    `TWD`

### USD_LITERAL

    public static final Currency USD_LITERAL

  The 'USD' literal object.

  See Also:
    `USD`

### ZAR_LITERAL

    public static final Currency ZAR_LITERAL

  The 'ZAR' literal object.

  See Also:
    `ZAR`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Currency' enumerators.

Method Detail

### get

    public static Currency get(java.lang.String literal)

  Returns the 'Currency' literal with the specified literal value.

### getByName

    public static Currency getByName(java.lang.String name)

  Returns the 'Currency' literal with the specified name.

### get

    public static Currency get(int value)

  Returns the 'Currency' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD